Title page

Administration Guide

Perfion Version 2.4


Contents

Title page
Introduction
About Users and Groups Management
Users and Group Management dialog
User Management
Group Management
Security on Information Groups
Security on Sections
Perfion Database connection setup
License Management
Switch User
Set Password


Introduction

In this guide you will find information about:

  • User & Group management.
    • How to create and maintain users and groups
  • Security
    • How to setup the security for users and groups on Information Groups and sections
  • Database connection setup
    • Maintain the database connection via the use of connection profiles
  • License management
    • Uploading license file the first time Perfion is started
    • Update of license
  • Switch User
  • Set Password

Related documentation:

Perfion Configuration Guide


User and Group Management

About User, Group and Security Management

You find Users and Group Management in the administration menu Administration > Users and Groups Management.

You have to have the administrator privileges to open it.

From the Users and Group Management dialog you can add, edit and delete users and groups.

Rules

Different rules apply to the user and group management:

Users:

  • A user can be a member of more than one group. The user will then always have the highest privileges:

    EXample
    If the group Users is setup to allow "read" for the information group "Technical Specification" and the group ProductUsers is setup to allow "read", "write" and "delete" for the information group "Technical Specification", and the user is a member of both groups, the user will have "read", "write" and "delete" permissions for the information group "Technical Specification".

  • A User cannot be deleted, if he has created an item (e.g. a product). If a user should no longer have access to Perfion, you deactivate the user. A deactivated user can always be activated again.

Groups:

  • A group cannot be deleted if any users are members of the group, including deactivated users.

  • The groups Administrators, Super Users and Users cannot be deleted. They are pre-configured in the Perfion database and are fundamental to the security setup.

    Pre-configured groups:

    In table below you find what each group gives access to:

    Administrator | Super Users | Users
    Section Feature, Feature Data | Yes | No | No
    Configure Information Group, Filters, Sections, Plug-in. | Yes | No | No
    User and Group Management | Yes | No | No
    Security administration | Yes | No | No
    All sections e.g. Products, Catalogs | Yes | Yes | No
    All Information Groups created | Yes | Yes | No
    Deleting Items (e.g. products) | Yes | Yes | No
    Get new Items | Yes | Yes | No
    Add new Items | Yes | Yes | Yes
    Access to reports | Yes | Yes | Yes
    Switch user and change own password | Yes | Yes | Yes

    As you can see a member of the group Administrator, has all rights in Perfion. You cannot change the privileges of an Administrator.

    The Super Users group has access to all created sections except Features and Feature Data and has full access to all information in all Information Groups and can delete items. This cannot be changed.

  • New groups that are created will have the same access as the pre-configured group Users. See above table.

Security settings for users and groups

  • Security settings can be set in 2 areas: for Information Groups and for Sections

  • For an information group, you assign the user or group "read", "write" or "delete" permissions to all features in the information group.

    Example

    The group MarketingUsers is setup to allow "read", "write", "delete" permission for the information group Marketing, while only "read" is allowed for the information group Technical Specification.

  • For a section you give the user or group access.

    Example

    The group Marketing users get access to the section Photos.

  • Security settings can only be set for users, the group Users and groups you have created, since both the Administrator group and Super Users group already have full access to all information groups and all sections created.

    Best Pratice: Set permissions for group, not for users.

Steps to perfom user and group management

Follow the steps below to perform user and group management:

  1. Create users. See "User Management"
  2. Create one or more groups if needed. See "Group Management"
  3. Set the users group membership. See "User Management" and "Group Management"
  4. Set security settings for groups. See "Security on Information Groups" and "Security on Sections"

After creation, you can at anytime edit, add and delete users, groups and security settings.


Users and Group Management dialog

You manage the users and groups from the same window Users and Group Management.

On the left side of the window you select whether you want to work with users or groups. The list to the right side shows a list of the users or groups accordingly.

Right clicking on the right side gives you the opportunity to manage the users or the groups.


User Management

For users you can:

Add a New User, set password for a user, delete a user, deactivate a user, rename a user and change properties for a user.

  1. Select Administration > User and Group Management.

  2. Select Users in the left side of the window and right click in the right side of the window.

Add New User

  1. Right click on the user and select Add new User. The following dialog opens:

  2. Enter User ID. The User ID must be unique and cannot be changed later on.

    Note: If Perfion can be opened from within Microsoft Dynamics AX or NAV, the User ID in Perfion must be the same as in Microsoft Dynamics AX or NAV.

  3. Enter Name and (optionally) Description.

  4. Enter a Windows Domain User ID - [WindowsDomain]\[ID]. The Windows Domain User ID lets you log in automatically.

  5. In the Default Info Group, you must select which information group (tab in your Edit Item dialog) is to be shown when you open/edit an item (e.g. a product). For more information on Information Groups see the Perfion Configuration Guide.

  6. Languages.
    1. Click Add... A list with languages appears.
    2. To select a language mark the language and press return or double click on the language. To select another language. Click Add... again.
    3. You can change the order of the languages by marking a language and right clicking on it and select Move up or Move down.
    4. Delete. Deletes the selected language. It is only deleted for the user. The language is still in the Perfion database and available for other users.

  7. Enter a Password: This is not a mandatory step.

  8. Confirm your password, if you have entered a password above.

  9. Click OK.

  10. After creation you can add the user as a member of a group via User Properties.

Set password

  1. Mark the user you want to set the password for.

  2. Right click and select Set Password. The following dialog opens:

  3. Enter new Password.
  4. Confirm the new password.
  5. In the last field enter your own user password.
  6. Click OK.

Delete User

Not all users can be deleted. For more information see "User and Group Management".

  1. Mark the user you want to delete.
  2. Right click and select Delete.
  3. Click OK.

Rename User

  1. Mark the user you want to rename.
  2. Right click and select Rename.
  3. Change the name and press enter.

Change User Properties

  1. Mark the user you want to edit.

  2. Right click on Properties. The User Properties dialog opens with 2 tabs; User and Member of:

  3. User tab:
    1. Make the changes to Name, Description and Windows Domain user ID.
    2. Choose whether the User should be active or not by selecting/deselecting the "User is active".
    3. Change Default Info Group and Languages. If you change one of these the user must log out and in again before it takes effect.

  4. Member of tab (Add or remove which groups the user should be a member of):
    1. Add. Click on the Add button, double-click on a group in the list. For multiple groups click Add again.
    2. Remove. Mark the user and click Remove.
  5. Click OK.


Group Management

For groups you can:

Add a New Group, delete a group, rename a group and change properties for a group.

  1. Select Administration > User and Group Management.

  2. Select Groups in the left side of the window and right click in the right side of the window

Add new Group

  1. Right click on Add new Group. The following dialog opens:

  2. Enter Group ID. Group ID must be unique and cannot be changed later on.
  3. Enter a Name (Optional).
  4. Enter a Description (Optional).
  5. Click OK.
  6. You can add members to the group via Group Properties.

Delete Group

Not all groups can be deleted. For more information see "User and Group Management".

  1. Mark the group you want to delete.
  2. Right click and select Delete.
  3. Click OK.

Rename Group

  1. Mark the group you want to rename.
  2. Right click and select Rename.
  3. Change the name and press return.

Change Group Properties

  1. Mark the group you want to edit.

  2. Right click on Properties. The Group Properties dialog opens with 2 tabs; Group and Members:

  3. Group Tab:
    1. Change the name and description fields.

  4. Members tab (Add or remove members of the group):
    1. Add. Click on the Add button, double-click on a user in the list. For multiple users click Add... again.
    2. Remove. Mark the user and click Remove.
  5. Click OK.


Security on Information Groups

Follow the steps below to set the security of an information group:

  1. Select the menu Configuration > Information Groups. The following dialog opens:

    Here you see all the groups the product information is split into.

    For managing the information groups see the Perfion Configuration Guide.

  2. Mark the group you will add security to

  3. Right click and select Security. The User and Group Permissions dialog opens:

  4. Click Add. The list with users and groups opens:

    The users are listed with [image] icon. The groups are listed with [image] icon

  5. Double-click on the group or the user to select which you want to define permissions for.

    The group/user is now shown in the User and Group Permission dialog and you can configure the permissions:

  6. Select Read if the user or group should only have read permission to this information group.
  7. Select Write if the user or group should have both read and write permission to this information group.
  8. Select Delete if the user or group should full access - read, write and delete permission to this information group.
  9. If you want to add permissions to another user or group click Add again.
  10. If you want to remove at group or user. Mark the user/group and click Remove.

  11. Click OK.

    Now you have returned to the Information group Management dialog and can set security for the other information groups.

  12. Click Close.


Security on Sections

Follow the steps below to give a user or group access to a section.

  1. Select the menu Configuration > Section Designer. The following dialog opens:

    Here you can see all the sections created - Products, Catalogs and Photos

    For managing the sections see the Perfion Configuration Guide.

  2. Mark the section you want to configure security for:

  3. Right click and select Security. The User and Group Permissions dialog opens:

  1. Click Add. The list with users and groups opens:

    The users are listed with this icon [image]. The groups are listed with this icon

  2. Double-click on the group or the user to select which one you want to give access to the section.

  3. If you want to give access to another user or group click Add again.
  4. If you want to remove a group or user. Mark the user/group and click Remove.

  5. Click OK.

    Now you have returned to the Section Designer dialog and can set security for the other sections

  6. Click Close.


Perfion database connection setup

Connection Configuration

Connection profiles

The Perfion application can be configured with a Client Configuration file. A Client Configuration file holds information about which database the application should connect to. This information is referred to as a connection profile. Perfion can easily change between databases by using different Client Configuration files.

You specify where to store this Client Configuration file in the properties dialog of a shortcut to the Perfion application.

Note: The Perfion application is per default installed in:
C:\Program Files\Perfion\Perfion for Dynamics\Bin\Perfion.exe.

  1. Right click on the Perfion application (Perfion.exe), choose Create Shortcut

  2. Right click on the Shortcut to the Perfion application, choose Properties.

    The following dialog appears:

  3. Add an argument after the application path as shown above" -ClientConfig=[path to configuration file]\[name of Client Configuration file]".

    Note: There must be a space between the application path and the argument.

    EXAMPLE
    "C:\Program Files\Perfion\Perfion for Dynamics\bin\Perfion.exe" -ClientConfig="C:\Program Files\Perfion\ConfigFiles\PerfionDemo.xml"

    If you do not have a Client Configuration file, simply write a filename .xml. The file will automatically be created during your connection configuration. See "Connection configuration"

  4. Click OK.

Connection configuration

When you start up Perfion it will look for a Client Configuration file with a connection profile. If you have specified an argument in the shortcut properties Perfion will use the file specified in the argument, otherwise Perfion will use the ClientConfig.xml in the same directory as the Perfion application.

You can find the Connection configuration in the menu Administration > Connection Configuration.

  1. Run Perfion by clicking on the shortcut you have just created.

    If no Client Configuration file exists you will be prompted to tell Perfion how to connect to a Perfion database:

  2. Click OK.

    The following dialog will appear to setup the connection:

  3. If you do not have a Client Configuration file and wants to create a new one:
    1. Name the Microsoft SQL Server instance.

    2. If required you may enter user name and password for the SQL Server.

      Best Practice: Connect using SQL Server Authentication

    3. Click Test to check that a successful connection can be made to the database.
    4. Select your Perfion database.

    5. Click OK, a Client Configuration file is now created.

      If you started Perfion via the shortcut to the Perfion application, the Client Configuration file is created in the directory as specified in the -ClientConfig argument. If you started the Perfion.exe directly the Client Configuration file is created in the same directory as the application.

  4. If you already have a Client Configuration file you want to view or save:
    1. Click Load, an open file dialog appears.
    2. Select your Client Configuration file and click Open. Your Connection Configuration dialog is updated with the connection profile.

    3. Click Cancel if you only want to view the connection profile or Click OK if you want to save.

      If you clicked OK, the Client Configuration file is now saved with the updated connection profile.

      If you started Perfion from the shortcut to the Perfion application, the Client Configuration file is saved in the directory as specified in the -ClientConfig argument. If you started the Perfion.exe directly the Client Configuration file is saved in the same directory as the application.

  5. It is also possible to save the shown connection profile to a file:
    1. Click Save As, a Save As dialog appears
    2. Choose where you want to save the file and enter a file name. Click Save
    3. Click OK, and the shown connection profile is stored in the Client Configuration file as specified.

  6. When you have saved your connection configuration, the user login dialog appears and you are ready to load your Licence file. For more information see "License Management".

Change connection

If Perfion is already connected to a database, the connection can easily be changed to another connection by changing the configuration file or by creating a new one. This requires a user with Administrator rights in Perfion.


License Management

The first time you run Perfion and after you have saved the connection configuration the user login dialog appears:

1. Enter "Admin" in the UserID field.

The user "Admin" is pre-configured with administration privileges in Perfion.

2. Click OK.

The following window appears:

3. Click OK.

The License dialog opens:

In this License dialog you can load your Perfion license.

A License file is an electronically signed document that contains a number of license codes with information about which features are available, how many users are allowed etc.

A license must be loaded into the Perfion database before anyone can use the Perfion application.

  1. Click Load License file and select the License file you have received.
  2. Click Open to load and display the License details on the dialog.

  3. Close the License dialog.

    The Perfion application opens.

When the License expires you will be prompted to load a new License.

Update License

If you need to update the License, an administrator will be able to load a new license by selecting Administration > License Management.


Switch User

You can easily switch user if needed, meaning you log out and another user logs in.

  1. In the administration menu. Select Administration > Switch User. The following login dialog opens:

  2. Enter UserID.
  3. Enter Password (if required).
  4. Select Remember me if you want your password to be remembered next time you login.
  5. Click OK.


Set Password

You can change your own password when you are logged in.

All users have this possibility.

  1. In the administration menu, select Administration > Set Password. The following dialog opens:

  2. Enter your Old Password (your current password). If you do not have a password leave the field empty.
  3. Enter the New Password.
  4. Confirm the new Password.
  5. Click OK.


Q & A

Area : Structure categories and products

Q: Do I create a virtual category or virtual product in the structure

A.: It depends on at which level the features are equal.

Example:

Add example!

Q: Is it possible to work with item variants ?

A: The Item is the variant. The virtual product is the "item". On the virtual product you hold the generic product information on the product.

Example:

Add example!

Q: Is it possible to have selectable dependent on what is previous selected - identity inherence?

A: No, not yet. Please refer to Roadmap.

Q: Is it possible to export the structure from one Perfion installation to another Perfion installation?

A: The import functionality in Perfion is handling import of product information to get the customers more quickly up and running

Q: What information should live in the ERP system and what information should live in Perfion?

A: If the information is used in the transactions is should be stored in the ERP system. All other information, that is "just information", should be stored in Perfion. It is much easier to create and maintain product information in Perfion.

Information group management:

Q: Is it possible to have the same feature on multiple groups.

A: No, you should structure your product information bla bla bla..... har vi et godt argument her?

Area Security

Q: Is it possible to filter items, so users cannot see all items?

A: No. You can create filters to only list some of the items, but users can always see all items. Security is based on per section and per information group, See userguide bla bla - opret link

Area Integration Axapta and Navision:

Q: How often do you update the information( ex. prices) from Axapta and Navision?

A: It is dynamic. The information from Navision and Axapta is retrieved on request, i.e when you open/activate the window with the information fra Axapta and Navision it will be retrieved and shown on the window. In that way you will always have the latest product information.

Area Roadmap:

Q: Is workflow supported ?

A: No workflow is not supported. Perfion first priority is on productivity. Please refer to Roadmap.

Q: Is version control supported?

A: No version control is not supported. Perfion first priority is to making a even better productivity. But we are always interested in Partners and Customers needs for new features. Please refer to Roadmap.

Area features:

Q: What is the difference between text and string?

A: Mainly the length. A string can be 256 characters long

Area installation & upgrade:

Q: How to upgrade the database?

A: It is a rolling database upgrade. Also it doesn't matter if the application or database is installed first. If the DB version does not match the Application version, the user will be prompted to upgrade the database

Q: Can the Perfion database run on SQL server 2000?

A: Only SQL server 2005 is supported

Installation:

Installation must run from local PC!

Localization:

Q: When I delete a language for a user, what will happen to the product information and configuration in the deleted language?

A: It will still be there. It is only deleted visually for the user. The user or other users can always add the language again later on

.... til føj en about languages

Best Practice

When structuring data, keep data maintenance and Catalogs separately. The categories should be structured to make maintenance easy. Catalogs is used for creating adhoc report.

(Decision process. Who to participate in the decision process. ? Strategy-people has to be in the loop, it is not enough just to look at example price lists. If ex. only designer/marketing and IT responsible - it is not gonna work. You will need to have people who think of productivity and strategy )

Localization.

Localization is intended for handling languages, do not use localization to ex. handle currencies. In the case currencies the values are not the same and should be different features.

Localization.

When creating a feature always mark it as localized if you now or in the future expect it to be localized, also even though you only setup one language now.

Example: Create one feature for each currency

Price UK : £

Price Germany: EUR

Price Denmark : KKR

Images.

png er tabsfri format. Er billeder i forvejen jpg, så bare brug dem til upload i Perfion.... ??? Er der en best prctice omkring billeder?

Installation:

Setup DB - connect using:

windows authentication or sql server installation. Er der en Best Practice her?

User and group management & Security settings:

The easiest way to manage users and permission is by adding users to a group and set the permissions at group level. Though it is possible to add permissions on user level.... Er det ikke en best practice?

Information group management:

group reasons.....

Do not have more data on a group than you can see...

Workshop Best practices (fra slide med Qurius:)

  • Identities
    • Products, Categories, Manufacturers, Designers...
  • Items
    • How many items
    • How many + types of Features
    • Category Hierarchy
    • Virtuals, Reals, Brands
    • Feature Dependencies (Categories, other...)
  • Feature Groupings
    • DataTypes vs. Information Groups
    • Naming

    • Catalogs

    • Master, AdHoc, Flexibility

  • Other
    • Languages
    • Installation Architectures
    • Media Management


stylestopic

Example: Dette er et eksempel

Best Practice: Dette er Best Practice

Note: Dette er en Note

Warning: Dette er en Warning

"color"- tabel:

Tabel overskrift
Kolonneoverskrift 1 | Kolonneoverskrift 2
A1 | B1
A2 | B2
Footer 1 | Footer 2

Dette er Header level 1

Dette er Header level 2

Dette er Header level 3

Dette er Header level 4